#ifndef MUSICNODE_H
#define MUSICNODE_H

#include "scenenode.h"
#include "SFML/Audio.hpp"

class MusicNode : public SceneNode
{
    sf::Music m_music;
    std::string m_music_file;
    bool m_valid;
public:
    MusicNode(std::string musicFileName);
    void init();
    void play();
    void pause();
    void stop();
    void setPlayingOffset(int offset);
};

#endif // MUSICNODE_H
